import { StripeProvider } from '@stripe/stripe-react-native';
import Constants from 'expo-constants';
import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import CheckoutScreen from './screens/CheckoutScreen';
import ScanScreen from './screens/ScanScreen';
import CartScreen from './screens/CartScreen';
import PaymentHistoryScreen from './screens/HistoryPaymentsScreen';
import { ThemeProvider } from './ThemeContext';

const Stack = createNativeStackNavigator();
const stripePK = Constants.manifest.extra.stripePK;

export default function App() {
  return (
    <StripeProvider publishableKey={stripePK}>
        <NavigationContainer>
          <Stack.Navigator initialRouteName="ScanScreen">
            <Stack.Screen name="CartScreen" component={CartScreen} options={{ title: "My Cart" }} />
            <Stack.Screen name="PaymentHistoryScreen" component={PaymentHistoryScreen} options={{ title: "My Payments" }} />
            <Stack.Screen name="ScanScreen" component={ScanScreen} options={{ title: "Scan Items" }}/>
            <Stack.Screen name="Checkout" component={CheckoutScreen} options={{ title: "Payments History" }}/>
          </Stack.Navigator>
        </NavigationContainer>
    </StripeProvider>
  );
}
