import { StyleSheet } from 'react-native';

const Styles = StyleSheet.create({
  darkContainer: {
    flex: 1,
    justifyContent: 'center',
    backgroundColor: '#1c2155',
  },
  darkText: {
    color: 'white',
    fontSize: 15,
  },
  lightContainer: {
    flex: 1,
    justifyContent: 'center',
    backgroundColor: 'white',
    marginBottom: 10,
  },
  lightText: {
    color: '#1c2155',
    fontSize: 15,
    padding: 10,
  },
  flatList: {
    flex: 1,
    margin: 10,
    borderWidth: 1,
    borderRadius: 5,
  },
  lightTitle: {
    color: '#1c2155',
    fontSize: 30,
    padding: 10,
  },
  darkTitle: {
    color: 'white',
    fontSize: 30,
  },
  barcodeScannerContainer: {
    flex: 1,
    width: '100%',
    height: '50%',
    justifyContent: 'center',
    alignItems: 'center',
  },
  topButton: {
    position: 'absolute',
    backgroundColor: '#E2A755',
    color: 'white',
    margin: 5,
    borderRadius: 10,
  },
  buttonGroup: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginBottom: 20,
    marginTop: 10,
  },
  title: {
    fontSize: 20,
    fontWeight: 'bold',
    marginBottom: 16,
    alignItems: 'center',
    paddingLeft: '30%',
    color: 'white',
  },
  roundedButton: {
    padding: 16,
    borderRadius: 15,
  },
  buttonContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginBottom: 20,
  },
  roundedButton: {
    flex: 1,
    marginHorizontal: 5,
    borderRadius: 10,
  },
  itemRow: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    padding: 10,
  },
  totalPriceContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 16,
    borderWidth: 1,
    borderColor: 'black',
    padding: 5,
    margin: 5,
  },
  totalText: {
    fontSize: 16,
  },
  noCameraMessage: {
    marginTop: 0,
  },
  quantityButtons: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    margin: 10,
  },
  cardContainer: {
    flex: 2,
    justifyContent: 'center',
    alignItems: 'center',
    width:'100%',
  },
  card: {
    padding: 10,
    borderRadius: 10,
    elevation: 2,
    width: '50%',
  },
  fieldContainer: {
    marginBottom: 10,
  },
  textInput: {
    borderWidth: 1,
    borderColor: 'gray',
    borderRadius: 5,
    padding: 5,
    marginBottom: 10,
  },
  cardBackground: {
    flex: 1,
    resizeMode: 'cover',
    justifyContent: 'center',
    alignItems: 'center',
    zIndex: 0,
  },
  itemRow: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginBottom: 8,
  },
  historyItemDark: {
    backgroundColor: 'gray',
    padding: 16,
    marginBottom: 8,
    borderRadius: 15,
  },
  historyItemLight: {
    backgroundColor: '#E2A755',
    padding: 16,
    marginBottom: 8,
    borderRadius: 15,
  },
  itemName: {
    fontSize: 20,
    marginTop: 10,
    fontWeight: 'bold',
  },
  itemDate: {
    fontSize: 16,
  },
  itemPrice: {
    fontSize: 16,
    marginTop: 15,
    fontWeight: 'bold',
  },
  toggleButton: {
    borderRadius: 50,
    margin: 5,
    flex: 1,
    alignItems: 'center',
    flexDirection: 'row',
    justifyContent: 'center',
  },
  inactiveToggleButton: {
    borderRadius: 50,
    margin: 5,
    flex: 1,
    alignItems: 'center',
    flexDirection: 'row',
    justifyContent: 'center',
    opacity: 0.5,
  },
  themeToggleButtonContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingHorizontal: 20,
    borderRadius: 20,
    margin: 20,
  },
});

export default Styles;
